include(../applications-qgl.pri)

TARGET = X3DMeshEditor

INCLUDEPATH *= GUI
INCLUDEPATH *= modelViewController
INCLUDEPATH *= views

HEADERS = \
       GUI/MeshMainWindow.h \
       GUI/MeshNormalsDock.h \
       GUI/MeshNormalsInversionDock.h \       
       GUI/MeshConnComDock.h \
       GUI/MeshFacesDock.h \
       GUI/MeshStatisticsDock.h \
       GUI/ProgressDock.h \
       GUI/MeshViewer.h \
       GUI/MeshViewerMenu.h \
       GUI/PreprocessingDialog.h \
       modelViewController/MESH_MeshController.h \
       modelViewController/MESH_View.h \
       modelViewController/MESH_Controller.h \
       views/MESH_ConnComView.h \
       main/MeshEditorMainWindow.h

SOURCES = \
       GUI/MeshNormalsDock.cpp \
       GUI/MeshNormalsInversionDock.cpp \              
       GUI/MeshConnComDock.cpp \              
       GUI/MeshFacesDock.cpp \   
       GUI/MeshStatisticsDock.cpp \           
       GUI/ProgressDock.cpp \
       GUI/MeshViewer.cpp \
       GUI/MeshViewerMenu.cpp \
       GUI/PreprocessingDialog.cpp \
       modelViewController/MESH_View.cpp \
       modelViewController/MESH_Controller.cpp \  
       views/MESH_ConnComView.cpp \
       main/main.cpp
       
FORMS = \
       GUI/meshEditorForm.ui \
       GUI/normalsAmplitude.ui \
       GUI/normalsInversion.ui \
       GUI/connectedComForm.ui \
       GUI/facesDisplay.ui \
       GUI/statisticsForm.ui \
       GUI/progress.ui \
       GUI/preprocessingForm.ui

